
/*! ============================================================================= */

/*! Styles for singular image inside photo proofing gallery. */

/*! ============================================================================= */
.proofing-gallery-image {
	position: relative;
	overflow: hidden;
}

.proofing-gallery-image img {
	width: 100%;
	height: auto;
}

.proofing-gallery-image__unique-number {
	position: absolute;
	top: 10px;
	left: 10px;
	line-height: 30px;
	letter-spacing: 2px;
	background: rgba(0, 0, 0, .3);
	padding: 0 8px 0 10px;
	font-size: 12px;
	color: #fff;
	z-index: 10;
}

.proofing-gallery-image__approve-mark {
	position: absolute;
	top: 10px;
	right: 10px;
	background: rgba(0, 0, 0, .3);
	padding: 0 8px 0 10px;
	font-size: 11px;
	line-height: 30px;
	color: #fff;
	z-index: 10;
	display: none;
}

.proofing-gallery-image__caption {
	position: absolute;
	z-index: 10;
	left: 0;
	bottom: 0;
	width: 80%;
	color: #fff;
	padding: 10px 15px;
	line-height: 20px;
	font-size: 14px;
	text-shadow: 1px 1px 5px rgba(0, 0, 0, .5);
}

.proofing-gallery-image__caption .secondary-font-family {
	letter-spacing: 0;
}

.proofing-gallery-image__description {
	display: none;
}

.proofing-gallery-image__hover-actions {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: rgba(255, 255, 255, .8);
	z-index: 15;
	display: flex;
	align-items: center;
	justify-content: center;
	opacity: 0;
}

.proofing-gallery-image__hover-actions-inner-wrap {
	width: 168px;
	display: flex;
	flex-wrap: wrap;
}

.proofing-gallery-image__hover-action-btn {
	display: inline-flex;
	width: 64px;
	height: 64px;
	background: #fff;
	margin: 10px;
	overflow: hidden;
	align-items: center;
	justify-content: center;
	color: #000;
	transition: background-color 250ms, color 250ms;
}

.proofing-gallery-image__hover-action-btn svg {
	font-size: 45px;
	stroke-width: 1.5px;
	transition: transform 250ms;
	transform: scale(.88);
}

.proofing-gallery-image__hover-action-btn:hover {
	opacity: 1;
}

.proofing-gallery-image__hover-action-btn:hover svg {
	transform: scale(1);
}

.proofing-gallery-image__hover-action-btn[data-action="toggle-approve"] {
	flex: 0 0 148px;
}

.proofing-gallery-image__hover-action-btn--loading svg {
	-webkit-animation: proofing-gallery-image-svg-spin 2s infinite linear;
	animation: proofing-gallery-image-svg-spin 2s infinite linear;
}

.proofing-gallery-image__hover-action-btn--highlighted, .proofing-gallery-image__hover-action-btn--highlighted:hover {
	background: #344e49;
	color: #fff;
}

.proofing-gallery-image--approved .proofing-gallery-image__approve-mark {
	display: block;
}

@-webkit-keyframes proofing-gallery-image-svg-spin {
	0% {
		transform: scale(.88) rotate(0deg);
	}
	
	100% {
		transform: scale(.88) rotate(359deg);
	}
}

@keyframes proofing-gallery-image-svg-spin {
	0% {
		transform: scale(.88) rotate(0deg);
	}
	
	100% {
		transform: scale(.88) rotate(359deg);
	}
}
